AsterNet Class Library (Sandcastle documentation)

| AGIScript ControlStreamFile Method (String)

Plays the given file, allowing playback to be interrupted by the given digits, if any, and allows the listner to control the stream.
If offset is provided then the audio will seek to sample offset before play starts.
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed, or -1 on error or if the channel was disconnected.
Remember, the file extension must not be included in the filename.
Available since Asterisk 1.2

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected int ControlStreamFile(
    	string file
    )

    Protected Function ControlStreamFile (
    	file As String
    ) As Integer

    protected:
    int ControlStreamFile(
    	String^ file
    )

    member ControlStreamFile :
            file : string -> int

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.

#### Return Value

Type: Int32
result code
See Also

#### Reference

AGIScript Class
ControlStreamFile Overload
AsterNET.FastAGI Namespace
AsterNET.FastAGI.Command
ControlStreamFileCommand